﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Mozlite.WebUI;

namespace Mozlite.Components
{
    /// <summary>
    /// 网站全局配置。
    /// </summary>
    [Serializable]
    public class GlobalSettings : BaseConfiguration<GlobalSettings>
    {
        /// <summary>
        /// 网站域名。
        /// </summary>
        public string SiteDomain { get; set; }
        /// <summary>
        /// 默认模板。
        /// </summary>
        public string DefaultTheme { get; set; }
        /// <summary>
        /// 默认KendoUI模板。
        /// </summary>
        public KendoSkin KendoSkin { get; set; }
        /// <summary>
        /// 统计代码。
        /// </summary>
        public string Analyzer { get; set; }
        /// <summary>
        /// 后缀名。
        /// </summary>
        public FileExtensionMode FileExtensionMode { get; set; }
        /// <summary>
        /// 文件后缀名。
        /// </summary>
        public string FileExtension
        {
            get
            {
                return FileExtensionMode == WebUI.FileExtensionMode.None ? null : "." + FileExtensionMode;
            }
        }
    }
}
