﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-22 13:53:14
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 内容模型。
    /// </summary>
    public class ContentModule
    {
        /// <summary>
        /// 模型ID。
        /// </summary>
        public Guid ModuleID { get; set; }
        private string moduleName;
        /// <summary>
        /// 模型名称。
        /// </summary>
        public string ModuleName
        {
            get
            {
                return moduleName;
            }
            set {
                moduleName = Globals.ToLocal("ContentModules_" + value) ?? value;
            }
        }
        /// <summary>
        /// 分组键。
        /// </summary>
        public string GroupKey { get; set; }
        /// <summary>
        /// 前台默认分类页面地址。
        /// </summary>
        public string DefaultUrl { get; set; }
        /// <summary>
        /// 前台默认分类分页页面地址。
        /// </summary>
        public string PagerUrl { get; set; }
        /// <summary>
        /// 前台默认访问页面地址。
        /// </summary>
        public string DetailUrl { get; set; }
        /// <summary>
        /// 后台分类默认列表。
        /// </summary>
        public string BackendUrl { get; set; }
        /// <summary>
        /// 后台分类分页列表。
        /// </summary>
        public string BackendPagerUrl { get; set; }
        /// <summary>
        /// 后台编辑地址。
        /// </summary>
        public string BackendEditUrl { get; set; }
        /// <summary>
        /// 发布产品地址。
        /// </summary>
        public string BackendPublicUrl { get; set; }
        /// <summary>
        /// 是否为系统模型。
        /// </summary>
        public bool IsSystem { get; set; }
        /// <summary>
        /// 版本。
        /// </summary>
        public Version Version { get; set; }
        /// <summary>
        /// 分类表格名称，包含前缀，如："moz_"。
        /// </summary>
        public string CategoryTableName { get; set; }
        /// <summary>
        /// 模型子项（产品）表格名称，包含前缀，如："moz_"。
        /// </summary>
        public string ItemTableName { get; set; }
    }
}
