﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mozlite.Components
{
    /// <summary>
    /// 创建用户状态枚举。
    /// </summary>
    public enum CreateUserStatus
    {
        /// <summary>
        /// 未知错误。
        /// </summary>
        UnkonwnError,
        /// <summary>
        /// 创建。
        /// </summary>
        Created,
        /// <summary>
        /// 更新。
        /// </summary>
        Updated,
        /// <summary>
        /// 用户名格式错误。
        /// </summary>
        UserNameInvalid,
        /// <summary>
        /// 用户名不能为空。
        /// </summary>
        UserNameNotNull,
        /// <summary>
        /// 密码格式错误。
        /// </summary>
        PasswordInvalid,
        /// <summary>
        /// 密码不能为空。
        /// </summary>
        PasswordNotNull,
        /// <summary>
        /// 确认密码和密码不匹配。
        /// </summary>
        PasswordNotEqualConfirm,
        /// <summary>
        /// 电子邮件格式错误。
        /// </summary>
        EmailInvalid,
        /// <summary>
        /// 电子邮件不能为空。
        /// </summary>
        EmailNotNull,
        /// <summary>
        /// 用户名重复。
        /// </summary>
        DuplicateUserName,
        /// <summary>
        /// 用户名被禁用。
        /// </summary>
        UserNameIsDeny,
        /// <summary>
        /// 显示名称重复。
        /// </summary>
        DuplicateDisplayName,
        /// <summary>
        /// 显示名称被禁用。
        /// </summary>
        DisplayNameIsDeny,
    }
}
