﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-22 11:51:59
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Components
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 内容模型接口。
    /// </summary>
    public interface IContentModule
    {
        /// <summary>
        /// 模型ID。
        /// </summary>
        Guid ModuleID { get; }
        /// <summary>
        /// 模型名称。
        /// </summary>
        string ModuleName { get; }
        /// <summary>
        /// 分组名称。
        /// </summary>
        string GroupKey { get; }
        /// <summary>
        /// 前台默认分类页面地址。
        /// </summary>
        string DefaultUrl { get; }
        /// <summary>
        /// 前台默认分类分页页面地址。
        /// </summary>
        string PagerUrl { get; }
        /// <summary>
        /// 前台默认访问页面地址。
        /// </summary>
        string DetailUrl { get; }
        /// <summary>
        /// 后台分类默认列表。
        /// </summary>
        string BackendUrl { get; }
        /// <summary>
        /// 后台编辑地址。
        /// </summary>
        string BackendEditUrl { get; }
        /// <summary>
        /// 前台子项分页地址。
        /// </summary>
        string BackendPagerUrl { get; }
        /// <summary>
        /// 发布地址。
        /// </summary>
        string BackendPublicUrl { get; }
        /// <summary>
        /// 是否为系统模型。
        /// </summary>
        Version Version { get; }
        /// <summary>
        /// 分类表格名称，包含前缀，如："moz_"。
        /// </summary>
        string CategoryTableName { get; }
        /// <summary>
        /// 模型子项（产品）表格名称，包含前缀，如："moz_"。
        /// </summary>
        string ItemTableName { get; }
        /// <summary>
        /// 是否激活。
        /// </summary>
        bool Enabled { get; }
    }
}
