﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mozlite.Components
{
    /// <summary>
    /// 登录状态枚举。
    /// </summary>
    public enum LoginUserStatus
    {
        /// <summary>
        /// 帐号被禁用。
        /// </summary>
        AccountBanned = 3,
        /// <summary>
        /// 帐号未通过验证。
        /// </summary>
        AccountDisapproved = 4,
        /// <summary>
        /// 帐号正等待验证。
        /// </summary>
        AccountPending = 2,
        /// <summary>
        /// 帐号用户名和密码错误。
        /// </summary>
        InvalidCredentials = 0,
        /// <summary>
        /// 登录成功。
        /// </summary>
        Success = 1,
        /// <summary>
        /// 禁用登录。
        /// </summary>
        UserLoginDisabled = 5,
        /// <summary>
        /// 未知错误。
        /// </summary>
        UnknownError = 100
    }
}
