﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-18 14:45:59
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.WebUI.Ribbon
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Xml;
    using Mozlite.Components;

    /// <summary>
    /// 菜单实例。
    /// </summary>
    public class Menu
    {
        /// <summary>
        /// 初始化类<see cref="Groups"/>。
        /// </summary>
        /// <param name="node">XML节点实例对象。</param>
        public Menu(XmlNode node)
        {
            RoleLevel = node["role"].GetInnerText().ToEnum<RoleLevel>(Components.RoleLevel.Register);
            Groups = new List<Group>();
            foreach(XmlNode child in node) {
                if(child.NodeType == XmlNodeType.Comment)
                    continue;
                switch(child.Name) { 
                    case "name":
                        Name = child.GetInnerText();
                        IsLocalized = child.GetAttribute("isLocal").ToBoolean(true);
                        break;
                    case "key":
                        Key = child.GetInnerText();
                        break;
                    case "accessKey":
                        {
                            var key = child.GetInnerText();
                            if(key == null)
                                break;
                            AccessKey = key[0];
                        }
                        break;
                    case "group":
                        Groups.Add(new Group(child, this.RoleLevel));
                        break;
                }
            }
        }
        /// <summary>
        /// 唯一键。
        /// </summary>
        public string Key { get; set; }
        /// <summary>
        /// 快捷键。
        /// </summary>
        public char AccessKey { get; set; }
        /// <summary>
        /// 分组名称。
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 获取或设置是否本地资源化。
        /// </summary>
        /// <remarks>
        /// 如果设置为<c>true</c>，则将通过Name调用资源包的数据。
        /// </remarks>
        public bool IsLocalized { get; set; }
        /// <summary>
        /// 菜单列表。
        /// </summary>
        public List<Group> Groups { get; set; }
        /// <summary>
        /// 用户组。
        /// </summary>
        public RoleLevel RoleLevel { get; set; }
    }
}
