﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-8 15:49:05
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Data.Components.Structures
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 数据表列接口。
    /// </summary>
    public interface IField
    {
        /// <summary>
        /// 获取列名称。
        /// </summary>
        string Name { get; }

        /// <summary>
        /// 获取列类型。
        /// </summary>
        Type DataType { get; }

        /// <summary>
        /// 获取列大小。
        /// </summary>
        int Size { get; }

        /// <summary>
        /// 列属性。
        /// </summary>
        FieldProperties Properties { get; }

        /// <summary>
        /// 判断当前列是否包含属性。
        /// </summary>
        /// <param name="property">列属性实例。</param>
        /// <returns>如果保存返回<c>true</c>，否则返回<c>false</c>。</returns>
        bool HasProperty(FieldProperties property);
    }
}
