﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-9 10:07:15
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Data.SqlCE
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using Mozlite.Data.Components;
    using Mozlite.Data.Components.Installer;
    using Mozlite.Data.Components.Structures;

    /// <summary>
    /// SQL Server工厂类。
    /// </summary>
    public class SqlCeFactory : DefaultInstallerFactory<SqlCeHelper>
    {
        /// <summary>
        /// 初始化工厂类<see cref="SqlCeFactory"/>。
        /// </summary>
        /// <param name="helper">SQL Server数据库辅助实例对象。</param>
        public SqlCeFactory(SqlCeHelper helper)
            : base(helper)
        { }

        /// <summary>
        /// 新建一个安装实例。
        /// </summary>
        /// <returns>返回安装实例对象。</returns>
        public override IInstaller CreateInstaller()
        {
            return new SqlCeInstaller(SqlHelper);
        }

        /// <summary>
        /// 新建一个数据库实例。
        /// </summary>
        /// <returns>返回数据库实例对象。</returns>
        public override IDatabase CreateDatabase()
        {
            return new SqlCeDatabase(SqlHelper);
        }
    }
}
