﻿/*********************************************************
 * 开发人员：小兵
 * 创建时间：2012-10-22 10:06:18
 * 描述说明：
 * 
 * 更改历史：
 * 
 * *******************************************************/
namespace Mozlite.Components.Modules
{
    using System;
    using System.Web;
    using System.Data;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// 页面模型。
    /// </summary>
    public class PageModule : BaseContentModule<PageModule>
    {
        internal const string GUID = "B6EEC9E0-AEB5-420D-87BA-B8955AE80CBF";

        /// <summary>
        /// 模型ID。
        /// </summary>
        public override Guid ModuleID
        {
            get { return new Guid(GUID); }
        }
        /// <summary>
        /// 分组名称。
        /// </summary>
        public override string GroupKey
        {
            get { return ModuleHelper.Page; }
        }
        /// <summary>
        /// 前台默认分类页面地址。
        /// </summary>
        public override string DefaultUrl
        {
            get
            {
                return null;
            }
        }
        /// <summary>
        /// 前台默认分类分页页面地址。
        /// </summary>
        public override string PagerUrl
        {
            get
            {
                return null;
            }
        }
        /// <summary>
        /// 前台默认访问页面地址。
        /// </summary>
        public override string DetailUrl
        {
            get
            {
                return null;
            }
        }
        /// <summary>
        /// 后台分类默认列表。
        /// </summary>
        public override string BackendUrl
        {
            get
            {
                return Cores.GetBackend("Content/PageGroups");
            }
        }
        /// <summary>
        /// 后台编辑地址。
        /// </summary>
        public override string BackendEditUrl
        {
            get
            {
                return Cores.GetBackend("Content/EditPageGroup");
            }
        }
        /// <summary>
        /// 前台子项分页地址。
        /// </summary>
        public override string BackendPagerUrl
        {
            get
            {
                return null;
            }
        }
        /// <summary>
        /// 发布地址。
        /// </summary>
        public override string BackendPublicUrl
        {
            get
            {
                return Cores.GetBackend("Content/EditPageGroup");
            }
        }
        /// <summary>
        /// 分类表格名称，包含前缀，如："moz_"。
        /// </summary>
        public override string CategoryTableName
        {
            get { return "moz_Pages_Groups"; }
        }
        /// <summary>
        /// 模型子项（产品）表格名称，包含前缀，如："moz_"。
        /// </summary>
        public override string ItemTableName
        {
            get { return "moz_Pages"; }
        }
        /// <summary>
        /// 注册路由。
        /// </summary>
        /// <param name="routes">路由操作实例。</param>
        public override void RegisterRoutes(System.Web.Routing.RouteCollection routes)
        {

        }
    }
}
