﻿/***************************************************************
 * 开发人员：网魂小兵@http://www.mozlite.com
 * 
 * 缓存设置属性。
 * 
 * 最后修改：2011-10-28
 * ************************************************************/
namespace Mozlite.Caching
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    /// <summary>
    /// 缓存设置属性。
    /// </summary>
    [AttributeUsage(AttributeTargets.Struct | AttributeTargets.Class)]
    public class CacheSettingsAttribute : Attribute
    {
        /// <summary>
        /// 初始化类型<see cref="T:Mozlite.Caching.CacheSettingsAttribute"/>。
        /// </summary>
        /// <param name="allowHttpCacheProviderUsage">是否允许HTTP缓存。</param>
        public CacheSettingsAttribute(bool allowHttpCacheProviderUsage)
        {
            this.AllowHttpCacheProviderUsage = allowHttpCacheProviderUsage;
        }
        /// <summary>
        /// 获取是否允许HTTP缓存。
        /// </summary>
        public bool AllowHttpCacheProviderUsage { get; private set; }
        /// <summary>
        /// 获取或设置刷新秒数。
        /// </summary>
        public int RefreshIntervalSeconds { get; set; }
        /// <summary>
        /// 获取或设置过期秒数。
        /// </summary>
        public int SlidingExpirationSeconds { get; set; }

    }
}
