﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Mozlite.Cryptography
{
    /// <summary>
    /// 加密方法枚举类型。
    /// </summary>
    public enum EncryptionAlgorithm
    {
        /// <summary>
        /// 不加密，纯文本。
        /// </summary>
        Clear = 0,
        /// <summary>
        /// MD5加密。
        /// </summary>
        MD5,
        /// <summary>
        /// SHA1加密。
        /// </summary>
        SHA1,
        /// <summary>
        /// SHA256加密。
        /// </summary>
        SHA256,
        /// <summary>
        /// SHA512加密。
        /// </summary>
        SHA512,
        /// <summary>
        /// DES双向加密（8）。
        /// </summary>
        Des, 
        /// <summary>
        /// RC2双向加密。
        /// </summary>
        Rc2, 
        /// <summary>
        /// Rijndael双向加密。
        /// </summary>
        Rijndael,
        /// <summary>
        /// TripleDes双向加密。
        /// </summary>
        TripleDes,
    }
}
